/*
 * Author:
 *         Kendy Kutzner <kutzner@ira.uka.de>
 *
 * (c) 2005 Research Group Dr. Fuhrmann, University of Karlsruhe, Germany
 * All rights reserved.
 *
 * $Id: testid.cc,v 1.2 2005/11/21 10:46:57 kutzner Exp $
 *
 */

#include <string>
using namespace std;
#include <stdio.h>
#include <stdlib.h>
#include "id.h"
#define _IN_MAIN_
#include "debug.h"

int main(int argc, char * argv[]){
	int rounds = 1;
	if (argc==2)
		rounds = atoi(argv[1]);
	string dbgconf = "ID:9";
	dbg.conf(dbgconf);
	id i1;
	id i2;
	srand(time(NULL));
	i1 = id(0);// .randomize();
	i2 = i1;
	while (rounds > 0){
		i2.create_random_log_fingerdest();
		rounds --;
	}
	printf("dist between \n%s and \n%s is %f/%f\n", i1.tostring().c_str(), i2.tostring().c_str(), i1.lddist(i2), i2.lddist(i1));
	return 0;
}
